Retrieve an invoice item
Authentication
Use Bearer {{token}} in the Authorization header for authentication.
Path parameters
Headers
Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.
Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').
An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.
The minor API version.
For a list of available minor versions, see API upgrades.
Query parameters
The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.
A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.
A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.
A case-insensitive filter on the list.
A case-insensitive query parameter that allows you to specify which fields are returned in the response.
Specifies whether to include fields with the null value in the response.
- If set to
true, all fields will be returned in the response, including those with thenullvalue. - If set to
false, only fields with non-null values will be returned.
Response headers
This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
application/jsonapplication/xmltext/htmltext/csvtext/plain
The request limit quota for the time window closest to exhaustion. See rate limits for more information.
The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.
The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.
The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.
For more information, see Concurrent request limits.
The total number of the permitted concurrent requests.
For more information, see Concurrent request limits.
The remaining number of the permitted concurrent requests.
For more information, see Concurrent request limits.
Response
The ID of the invoice schedule associated with the rate plan charge on the subscription.
Note: This field is available only if you have the Billing Schedule feature enabled.
The ID of the invoice schedule item that generates this invoice item.
Note: This field is available only if you have the Billing Schedule feature enabled.
The amount of the charge.
Note: This amount does not include taxes regardless if the charge’s tax mode is inclusive or exclusive. This is the discount amount actually applied when the invoice item is a discount charge.
The date when the invoice item is charged, in yyyy-mm-dd hh:mm:ss format.
The flag to exclude the invoice item from revenue accounting.
Note: This field is only available if you have the Billing - Revenue Integration feature enabled.
The ID of the ship-to contact associated with the invoice item.
Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null.
The ID of the sold-to contact associated with the invoice item.
Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null.
The ID of the sold-to contact snapshot associated with the invoice item.
Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null.
The kind of the charge for the invoice item.
0: charge1: discount2: prepayment3: tax
When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue.
- delivery pricing charge
- prepayment charge
- drawdown charge
Note the following:
- If you are an Order to Revenue customer, when you set the
reflectDiscountInNetAmountfield totrue, you must also set theexcludeItemBillingFromRevenueAccountingfield totrue. - If you are a Billing - Revenue Integration customer, you must set the
reflectDiscountInNetAmountfield tofalse, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. - If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the
reflectDiscountInNetAmountfield totrue.
The end date of the service period for this item, i.e., the last day of the service period, as yyyy-mm-dd.
The start date of the service period for this item, as yyyy-mm-dd. For a one-time fee item, the date of the charge.
The tax code of the invoice item. Note Only when taxation feature is enabled, this field can be presented.
The per-unit price of the invoice item.
Note: For discount charges, this represents the discount percentage (for percentage-based discounts) or the discount amount (for fixed-amount discounts).
The unit of measure (UOM) that is configured in Settings > Billing for the product rate plan charge.
The balance of the invoice item.
Note: This field is only available if you have the Invoice Settlement feature enabled.
The number of deliveries dedicated to the Delivery Pricing charges. Note: This field is available only if you have the Delivery Pricing feature enabled.
ID of the account receivable accounting code associated with the invoice item.
Note: This field is only available if you have Zuora Finance enabled.
ID of the recognized revenue accounting code associated with the invoice item.
Note: This field is only available if you have Zuora Finance enabled.
ID of the deferred revenue accounting code associated with the invoice item.
Note: This field is only available if you have Zuora Finance enabled.
ID of the accounting code for contract asset.
Note: This field is only available if you have the Billing - Revenue Integration feature enabled.
ID of the accounting code for contract liability.
Note: This field is only available if you have the Billing - Revenue Integration feature enabled.
ID of the accounting code for contract recognized revenue.
Note: This field is only available if you have the Billing - Revenue Integration feature enabled.
The accounting code for adjustment revenue.
Note: This field is only available if you have the Billing - Revenue Integration feature enabled.
ID of the accounting code for adjustment liability.
Note: This field is only available if you have the Billing - Revenue Integration feature enabled.
The ID of the bill-to contact snapshot associated with the invoice.
The ID of the ship-to contact snapshot associated with the invoice.
The ID of the sold-to contact snapshot associated with the invoice.
The parent account of the account associated with the invoice.
Note: This field is available only if you have Customer Hierarchy enabled for your tenant.
The ID of the bill-to contact associated with the invoice.
The ID of the ship-to contact associated with the invoice.
The ID of the sold-to contact associated with the invoice.
The ID of the amendment associated with the subscription.
Note: This field is available only if you do not have Orders enabled for your tenant.
The revenue recognition rule of the invoice item.
Note: This field is only available if you have Zuora Finance enabled.